Page 1 of 1

help using upgrade patch

Posted: Sat Oct 15, 2005 7:29 pm
by ThoRNe6
hello everyone,

i'm upgrading my forum from 2.0.11 to 2.0.17 and i have no idea about using the patch file, as i dont know anything about unix commands. i have radmin/ftp access to the server i need to update the patch to, is this enough or do i need shell access?

and what the hell do i do when i'm in? :?

i have a heavily modded forum you see and i don't want to lose all the effort i put into it :(

thanks to anyone that can help,
Ry

Posted: Sat Oct 15, 2005 7:56 pm
by Anon
Yes, you do need shell access. If you don't have it, you could ask your host to (If they're the generous type), but if not you may have to go with the code changes MOD, but over 6 versions this won't be easy

Posted: Sat Oct 15, 2005 8:03 pm
by ThoRNe6
yeah i downloaded the changed files and expected maybe 40 or so.. but there is quite a lot.. would be easier to backup the database, install new forum, spend 5 hours installing all the mods and that be that.

the host is a friend though so maybe fingers crossed..

oh, silly question but.. if i installed all the new files over the old ones, then re-modded the forum, would the database be fine? was there any mods regarding the mysql db from .11 to .17?
:roll:

thanks for any help i really do appreciate it :)

Posted: Sat Oct 15, 2005 8:50 pm
by beatme101
You don't have to use the changed files package, you could use the code changes mods as said previously ;)

And yes there was database changes, that's what the update_to_latest.php is for ;)

Posted: Sat Oct 15, 2005 9:28 pm
by Thy73
Sorry for the interfereing, but i'm also updating my forum and was wondering if there is any visibility in each update, like if you can see that the forum has been updated ? I also have to update from 2.0.11 to 2.0.17 + toolkit v2.0b7.1
Just i've done the 2.0.11 to 2.0.13, but i can't notice any changes ... yet. Even the version no. in ACP saids 2.0.11 still 8O :?

Posted: Sat Oct 15, 2005 11:37 pm
by Lumpy Burgertushie
Thy73 wrote: Sorry for the interfereing, but i'm also updating my forum and was wondering if there is any visibility in each update, like if you can see that the forum has been updated ? I also have to update from 2.0.11 to 2.0.17 + toolkit v2.0b7.1
Just i've done the 2.0.11 to 2.0.13, but i can't notice any changes ... yet. Even the version no. in ACP saids 2.0.11 still 8O :?

there will be no visible changes at all. just code changes.

you are supposed to do all the updates one after the other, then at the end you have to run the update_to_latest.php file like the instructions say,

then your database will be updated and the version number will no longer be visible in the footer but will be in the admin section footer.

robert

Posted: Sat Oct 15, 2005 11:51 pm
by Thy73
Lumpy Burgertushie wrote: you are supposed to do all the updates one after the other, then at the end you have to run the update_to_latest.php file like the instructions say,

then your database will be updated and the version number will no longer be visible in the footer but will be in the admin section footer.

robert


Ehe, you say that i have to run the update_to_latest.php file, do i do that after each update ? I've just updated to 2.0.13 but it doesn't say anywhere in any of the 2 txt files, how to 'run' the update_to_latest.php file.

I'm still just a nOOb when it comes to update a forum, so PLEASE be gentle :oops:

Posted: Sun Oct 16, 2005 12:24 am
by Lumpy Burgertushie
Thy73 wrote:
Lumpy Burgertushie wrote:you are supposed to do all the updates one after the other, then at the end you have to run the update_to_latest.php file like the instructions say,

then your database will be updated and the version number will no longer be visible in the footer but will be in the admin section footer.

robert


Ehe, you say that i have to run the update_to_latest.php file, do i do that after each update ? I've just updated to 2.0.13 but it doesn't say anywhere in any of the 2 txt files, how to 'run' the update_to_latest.php file.

I'm still just a nOOb when it comes to update a forum, so PLEASE be gentle :oops:

nope, after you get all the phpbb files updated, then you run it.

I forgot, the MOD version of the files doesn't come with the update to latest.

you will need to download the complete package zip file. inside that , you will find the install folder. after you have done all the file edits, upload that install folder to the server,

then in your browser, go to :
yourdomain.com/yourphpbb/install/update_to_latest.php

then delete the install folder and you will be done.

robert

Posted: Sun Oct 16, 2005 7:45 pm
by Thy73
I've just updated to 2.0.15, but now i'm getting this error 'includes/sessions.php on line 420'
I've seen a soloution to this problem somewhere, only the search isn't picking it up anywhere :(
Line 420 is the last line '?>' in the session file, what do i now do bout that ?

Posted: Sun Oct 16, 2005 7:53 pm
by Thy73
Ohh, i just thought of something. Wouldn't it be easier to just download the newest 2.0.17 and put in the bsrf style, do the small changes in there and then upload it all (after deleting the current) and afterwards upload the phpbb db backup to get everything back (posts, topics, ect. ect.) ??
If so, what about the members ? do they have to rejoin or are they still there in the db ??

Posted: Sun Oct 16, 2005 8:58 pm
by Lumpy Burgertushie
Thy73 wrote: Ohh, i just thought of something. Wouldn't it be easier to just download the newest 2.0.17 and put in the bsrf style, do the small changes in there and then upload it all (after deleting the current) and afterwards upload the phpbb db backup to get everything back (posts, topics, ect. ect.) ??
If so, what about the members ? do they have to rejoin or are they still there in the db ??

first why would you update to .15 when the current is .17?

yes, you need to update to .17, you can do that by using the changed files only zip or by just uploading all new files except for the config.php file.

then you would go to yourdomain.com/yourphpbb/install/update_to_latest.php in your browser,
then you would delete the install and contrib folders.

then you are done.

all of your members, etc, are in the database, so there is no need to worry about them

there is also no need to do a database restore when you update.

robert

Posted: Sun Oct 16, 2005 9:56 pm
by Thy73
Lumpy Burgertushie wrote: yes, you need to update to .17, you can do that by using the changed files only zip or by just uploading all new files except for the config.php file.

then you would go to yourdomain.com/yourphpbb/install/update_to_latest.php in your browser,
then you would delete the install and contrib folders.

then you are done.

robert


I just downloaded the files only, uploaded it and got this message :
phpBB : Critical Error

Error creating new session

DEBUG MODE

SQL Error : 1054 Unknown column 'session_admin' in 'field list'

INSERT INTO phpbb_sessions (session_id, session_user_id, session_start, session_time, session_ip, session_page, session_logged_in, session_admin) VALUES ('f109ee0f80a042e1fb8373c8db397481', -1, 1129498613, 1129498613, 'd40ae2d1', 0, 0, 0)

Line : 172
File : sessions.php


Now i have read some of the other posts, about this problem. And i must say ... DOOH 8O ... I didn't understand one thing ...
jwunderly wrote:
WebMommy wrote:SQL Error : 1054 Unknown column 'session_admin' in 'field list'


This error is due to the restore replacing a later version of the _sessions table with the version in your dataset, which didn't happen to have the session_admin field (a recent addition).

The current version of your files is expecting this field.

0. If you don't have the full install file set for the version of your forum, download it again

1. upload the install directory from it to your forum.
2. point your browser to http://{YOUR_DOMAIN}/{FORUM_ROOT}/install/update_to_latest.php.
3. remove the install directory.


Yeah right ... 8O 8O
What i just saw was ... Bla bla bla bla bla and then you do bla bla bla bla

This is what i have on the ftp site (where the forum are)
Image

So to execute this 'update_to_latest.php' file ... i do what ?

Posted: Sun Oct 16, 2005 11:26 pm
by Lumpy Burgertushie
really, if you have come this far, then that explanation should be simple to understand.

you have to upload the install folder found in the zip file that you downloaded.

then in your browser, go to :
yourdomain.com/yourphpbb/install/update_to_latest.php

click the enter key,

then delete the install folder and you are done.


robert

Posted: Tue Oct 18, 2005 3:05 pm
by Thy73
Lumpy Burgertushie wrote: then in your browser, go to :
yourdomain.com/yourphpbb/install/update_to_latest.php

click the enter key,

then delete the install folder and you are done.


robert


Ohhh!!! hmm ... i was so looking at, how to run that specific file on the FTP site, that i think i totally missed the point of opening my browser and then just type the address ... :oops: :oops: :oops:

Thanks alot for the BIG BIG help. I now got a 2.0.17 version on the forum.